#ifndef _TIMER_H
#define _TIMER_H

#include "stdinclude.h"
#include <windows.h>

namespace MyEngine
{
	class Timer
	{
	public:
		static Timer* Instance();
		static void DeleteInstance();

	private:
		Timer();
		Timer(const Timer&);
		~Timer();
		Timer& operator=(const Timer&);

	public:
		uint Milliseconds();

	private:
		static Timer* m_pInstance;

		bool m_bUsingPerfCounter;
		LONGLONG m_freq;
	};
}

#endif // _TIMER_H
